Create a Custom Toolpost {protocol}://{base-url}/ai/api/v1/config/toolCreate a custom tool. The tool is automatically published to MCP.Body ParamsRequest schema for creating a new tool configuration. The tool_type determines which fields are required: AGENT_AS_TOOL: requires agent_id and function_name SMTP: requires smtp_config and auth (with BASIC auth_type) HTTP: requires http_config, auth_config, and input_parameter_schema namestringrequiredlength ≥ 2Display name for the tool.descriptionstringrequiredlength ≥ 2Description of the tool's functionality. This will be included in agent prompts to help the LLM understand when and how to use this tool.function_namestringrequiredlength ≥ 1The unique name identifying this tool to an LLM.scorer_refstringenumDefaults to llm_judge_scorerReference to the Tool Scorer to use when using tool-based evaluation.llm_judge_scorersql_execution_scorerchart_generation_scorerAllowed:llm_judge_scorersql_execution_scorerchart_generation_scorertool_typestringenumrequiredThe type of the tool. Cannot be DEFAULT.defaultagent_as_toolsmtphttpAllowed:defaultagent_as_toolsmtphttprequires_approvalbooleanDefaults to falseWhether this tool requires user approval before execution.truefalseagent_idstringnullWhen agent_id is present, this is a tool that runs that agent.smtp_configSMTPConfig | nullSMTP server configuration for SMTP tools.smtp_config SMTPConfig | nullinput_parameter_schemaobject | nullJSON schema describing the tool's input parameters. Required for non-agent-as-tool types. For HTTP tools, also used to validate path parameters in the URL template.Input Parameter Schema object | nullhttp_configHTTPConfigCreate | nullHTTP endpoint configuration for HTTP tools.http_config HTTPConfigCreate | nullauth_configAuthConfigCreate | nullAuthentication configuration for SMTP and HTTP tools.auth_config AuthConfigCreate | nullResponses 201Successful Response 401Authentication required. No valid session cookie or bearer token provided, or authentication failed. 422Validation Error 500Internal server error during request processing.Updated 24 days ago Remove tags from an Agent ConfigUpdate a Custom ToolDid this page help you?YesNo